www.cendio.com
Bug 4810 - Cancel at windows 2003 login dialog will disconnect and trigger reconnection loop.
: Cancel at windows 2003 login dialog will disconnect and trigger reconnection ...
Status: CLOSED FIXED
: ThinLinc
rdesktop
: 4.1.0
: PC Unknown
: P2 Normal
: 4.1.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2013-09-19 13:47 by
Modified: 2013-10-24 11:06 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2013-09-19 13:47:29
With the nightly build, it is not possible to cancel the login dialog of a
Windows 2003 R2 server. You will be reconnected:

ERROR: SSL_read: 5 (Förbindelse borttagen av partnern)
Disconnected due to network error, retrying to reconnect for 70 minutes.
Connection established using SSL.
ERROR: SSL_read: 5 (Förbindelse borttagen av partnern)
Disconnected due to network error, retrying to reconnect for 70 minutes.
Connection established using SSL.
ERROR: SSL_read: 5 (Förbindelse borttagen av partnern)
Disconnected due to network error, retrying to reconnect for 70 minutes.
Connection established using SSL.
ERROR: SSL_read: 5 (Förbindelse borttagen av partnern)
Disconnected due to network error, retrying to reconnect for 70 minutes.
Connection established using SSL.
ERROR: SSL_read: 5 (Förbindelse borttagen av partnern)
Disconnected due to network error, retrying to reconnect for 70 minutes.
Connection established using SSL.

and this also affects a normal logout from the session.
------- Comment #1 From cendio 2013-09-19 15:12:09 -------
This is related to the implementation of #4507, the corner case is those
described in the report and if running SSL, there is no problem with plain rdp.
------- Comment #2 From cendio 2013-09-19 15:14:27 -------
(In reply to comment #1)
> This is related to the implementation of #4507, the corner case is those
> described in the report and if running SSL, there is no problem with plain rdp.

Wrong bug referenced, the correct one is #4501
------- Comment #3 From cendio 2013-09-27 10:23:31 -------
The main problem here is that server side dont do a graceful close of socket
which will result in a tcp RST. This will trigger a network error flag in
rdesktop and reconnection loop will engage.
------- Comment #4 From cendio 2013-09-27 10:28:56 -------
Upstream commit r1748 and vendor drop commit 27971 fixes this bug.
------- Comment #5 From cendio 2013-10-15 09:52:42 -------
I've verified that pressing cancel or escape at the login window disconnects
the session without attempts to reconnect.